Last modified: 2014-02-12 23:53:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53732 - Use consistent icon to represent registered users
Use consistent icon to represent registered users
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Nobody - You can work on this!
: design
Depends on:
Blocks: 53733
  Show dependency treegraph
 
Reported: 2013-09-04 02:52 UTC by Steven Walling
Modified: 2014-02-12 23:53 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Mobile diff view, which shows both icons (74.10 KB, image/jpeg)
2013-09-04 02:52 UTC, Steven Walling
Details
The little man on desktop (11.42 KB, image/png)
2013-10-18 20:57 UTC, Steven Walling
Details

Description Steven Walling 2013-09-04 02:52:44 UTC
Created attachment 13233 [details]
Mobile diff view, which shows both icons

Using mobile while logged in, I noticed that there is a very similar user icon for representing Notifications and for representing users on the mobile watchlist. Rather than use two very slightly different icons, can we just use the "registered user" icon from the mobile watchlist, but scaled up?
Comment 1 Maryana Pinchuk 2013-09-04 16:57:24 UTC
The current notifications icon you're seeing is just a placeholder that Juliusz initially added to beta, not something design came up with :) We do have a real notifications icon that should definitely go in its place sooner than later.
Comment 2 Jon 2013-09-20 22:15:23 UTC
If a design is provided this should be an easy fix. Can someone upload an asset to this bug?
Comment 3 Nemo 2013-09-20 22:20:14 UTC
(In reply to comment #2)
> If a design is provided this should be an easy fix. Can someone upload an
> asset
> to this bug?

Like attachment 13009 [details] and attachment 11793 [details]?
Comment 4 Steven Walling 2013-09-20 22:25:44 UTC
(In reply to comment #2)
> If a design is provided this should be an easy fix. Can someone upload an
> asset
> to this bug?

I was just thinking we could pick one of the two icons already in use on the mobile site? (See the attached screenshot.)
Comment 5 May 2013-09-24 19:38:43 UTC
We should use only one, let's use the one shown at the top right corner. I believe Juliusz already has the asset since he made it?
Comment 6 Jon 2013-09-24 22:27:22 UTC
We would need to resize the image used for Echo but happy to use this if this is the one to go with.
Comment 7 Vibha Bamba 2013-09-24 23:55:31 UTC
This is a list of places where profile icon will appear:
Left Navigation
Watchlist Diff View

The issue with making it consistent is that we also have to think of it as a system:

Anonymous user
Logged out user
Logged in user
Logged in with Notifications

We have some assets but we don't have consensus on it for all areas. 
Lets not rush into updating the watchlist view etc for now.

Im setting up a review to resolve this and will update this bug.

Thanks
Comment 8 Jon 2013-09-24 23:56:42 UTC
Note the existing icon is black and in the left menu it won't need to be white.
Comment 9 Vibha Bamba 2013-09-25 00:13:10 UTC
You mean it will need to be white ? ( Considering the background is black )
Comment 10 Jon 2013-09-25 00:30:23 UTC
Yup sorry.. autocorrected (typed from my phone)
Comment 11 Gerrit Notification Bot 2013-09-26 00:04:53 UTC
Change 86052 had a related patch set uploaded by Jdlrobson:
Make watchlist user icons consistent with rest of UI

https://gerrit.wikimedia.org/r/86052
Comment 12 Gerrit Notification Bot 2013-10-18 19:58:50 UTC
Change 86052 merged by jenkins-bot:
Make watchlist user icons consistent with rest of UI

https://gerrit.wikimedia.org/r/86052
Comment 13 Steven Walling 2013-10-18 20:57:05 UTC
Reopening since the bug for mobile is fixed, but there's still an inconsistent user icon on desktop. I'll attach a screengrab.
Comment 14 Steven Walling 2013-10-18 20:57:41 UTC
Created attachment 13523 [details]
The little man on desktop
Comment 15 Jared Zimmerman (WMF) 2013-10-18 22:11:35 UTC
see https://bugzilla.wikimedia.org/show_bug.cgi?id=41484 its just waiting for someone to do the work to integrate https://bugzilla.wikimedia.org/attachment.cgi?id=13009&action=edit
Comment 16 Jon 2013-10-23 15:39:27 UTC
Moving to Vector where that code exists..
Comment 17 Bartosz Dziewoński 2013-10-23 16:51:45 UTC
This report is about the MobileFrontend extension, and the design there has been apparently adjusted. The report about core is bug 41484. Please keep the two separate and this one closed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links